Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4550)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4559)
@@ -4332,9 +4325,9 @@
              lud_dep = 9
           ELSEIF ( lud_palm == ind_lup_cobblest )  THEN
-             lud_dep = 9       
+             lud_dep = 9
           ELSEIF ( lud_palm == ind_lup_metal )  THEN
              lud_dep = 9
           ELSEIF ( lud_palm == ind_lup_wood )  THEN
-             lud_dep = 9    
+             lud_dep = 9
           ELSEIF ( lud_palm == ind_lup_gravel )  THEN
              lud_dep = 9
@@ -4362,5 +4355,5 @@
        !ENDIF
 !
-!--    Compute length of time step 
+!--    Compute length of time step
        IF ( call_chem_at_all_substeps )  THEN
           dt_chem = dt_3d * weight_pres(intermediate_timestep_count)
@@ -4371,5 +4364,5 @@
        dh = dzw(k)
        inv_dh = 1.0_wp / dh
-       dt_dh = dt_chem/dh
+       dt_dh = dt_chem / dh
 !
 !--    Concentration at i,j,k
@@ -4384,5 +4377,5 @@
 !
 !--    Viscosity of air
-       visc = 1.496e-6 * temp_tmp**1.5 / (temp_tmp + 120.0)
+       visc = 1.496e-6 * temp_tmp**1.5 / ( temp_tmp + 120.0 )
 !
 !--    Air density at k
@@ -4390,10 +4383,10 @@
 !
 !--    Calculate relative humidity from specific humidity for DEPAC
-       qv_tmp = MAX(q(k,j,i),0.0_wp)
-       rh_surf = relativehumidity_from_specifichumidity(qv_tmp, temp_tmp, hyp(k) )
-!
-!--    Check if surface fraction (vegetation, pavement or water) > 0 and calculate vd and budget
-!--    for each surface fraction. Then derive overall budget taking into account the surface fractions.
-!
+       qv_tmp = MAX( q(k,j,i), 0.0_wp )
+       rh_surf = relativehumidity_from_specifichumidity( qv_tmp, temp_tmp, hyp(k) )
+!
+!--    Check if surface fraction (vegetation, pavement or water) > 0 and calculate vd and budget for
+!--    each surface fraction. Then derive overall budget taking into account the surface fractions.
+
 !--    Walls/roofs
        IF ( surf_usm_h%frac(m,ind_veg_wall) > 0 )  THEN
@@ -4408,5 +4401,5 @@
           DO  lsp = 1, nvar
 !
-!--          Initialize 
+!--          Initialize
              vs = 0.0_wp
              vd_lu = 0.0_wp
@@ -4418,19 +4411,18 @@
 !
 !--             Sedimentation velocity
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     luu_dep,  &
-                     r_aero_surf, ustar_surf )
-
-                bud_luu(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs,                                             &
+                                            vs,                                                    &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            luu_dep,                                               &
+                                            r_aero_surf, ustar_surf )
+
+                bud_luu(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
 
              ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
@@ -4438,24 +4430,22 @@
 !
 !--             Sedimentation velocity
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     luu_dep , &
-                     r_aero_surf, ustar_surf )
-
-                bud_luu(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs,                                             &
+                                            vs,                                                    &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            luu_dep ,                                              &
+                                            r_aero_surf, ustar_surf )
+
+                bud_luu(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
 
              ELSE  !< GASES
 !
 !--             Read spc_name of current species for gas parameter
-
                 IF ( ANY( pspecnames(:) == spc_names(lsp) ) )  THEN
                    i_pspec = 0
@@ -4478,5 +4468,4 @@
 !--                 c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
 !--             Use density at k:
-
                 ppm2ugm3 =  (dens/xm_air) * 0.001_wp  !< (mole air)/m3
 
@@ -4487,9 +4476,9 @@
 !
 !--             Diffusivity for DEPAC relevant gases
-!--             Use default value 
+!--             Use default value
                 diffusivity            = 0.11e-4
 !
-!--             overwrite with known coefficients of diffusivity from Massman (1998)
-                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4 
+!--             Overwrite with known coefficients of diffusivity from Massman (1998)
+                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4
                 IF ( spc_names(lsp) == 'NO'  ) diffusivity = 0.199e-4
                 IF ( spc_names(lsp) == 'O3'  ) diffusivity = 0.144e-4
@@ -4500,13 +4489,13 @@
 !
 !--             Get quasi-laminar boundary layer resistance rb:
-                CALL get_rb_cell( (luu_dep == ilu_water_sea) .OR. (luu_dep == ilu_water_inland),   &
-                     z0h_surf, ustar_surf, diffusivity, &
-                     rb )
+                CALL get_rb_cell( ( luu_dep == ilu_water_sea )  .OR.                               &
+                                  ( luu_dep == ilu_water_inland ), z0h_surf, ustar_surf,           &
+                                    diffusivity, rb )
 !
 !--             Get rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,          &
-                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, luu_dep, 2,     &
-                                         rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3, diffusivity,   &
-                                         r_aero_surf, rb )
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,    &
+                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, luu_dep,  &
+                                         2, rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3,       &
+                                         diffusivity, r_aero_surf, rb )
 !
 !--             Calculate budget
@@ -4519,6 +4508,6 @@
                    vd_lu = 1.0_wp / (r_aero_surf + rb + rc_tot )
 
-                   bud_luu(lsp) = - (conc_ijk(lsp) - ccomp_tot(lsp)) * &
-                        (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                   bud_luu(lsp) = - ( conc_ijk(lsp) - ccomp_tot(lsp) ) *                           &
+                                  ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
                 ENDIF
 
@@ -4532,7 +4521,6 @@
 !
 !--       No vegetation on bare soil, desert or ice:
-          IF ( ( lug_palm == ind_luv_b_soil ) .OR. &
-                ( lug_palm == ind_luv_desert ) .OR. &
-                 ( lug_palm == ind_luv_ice ) ) THEN
+          IF ( ( lug_palm == ind_luv_b_soil )  .OR.  ( lug_palm == ind_luv_desert ) .OR.           &
+               ( lug_palm == ind_luv_ice ) ) THEN
 
              lai = 0.0_wp
@@ -4541,5 +4529,5 @@
           ENDIF
 
-          
+
           slinnfac = 1.0_wp
 !
@@ -4557,19 +4545,18 @@
 !
 !--             Sedimentation velocity
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     lug_dep,  &
-                     r_aero_surf, ustar_surf )
-
-                bud_lug(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs,                                             &
+                                            vs,                                                    &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            lug_dep,                                               &
+                                            r_aero_surf, ustar_surf )
+
+                bud_lug(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
 
              ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
@@ -4577,24 +4564,22 @@
 !
 !--             Sedimentation velocity
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     lug_dep, &
-                     r_aero_surf, ustar_surf )
-
-                bud_lug(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs,                                             &
+                                            vs,                                                    &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            lug_dep,                                               &
+                                            r_aero_surf, ustar_surf )
+
+                bud_lug(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
 
              ELSE  !< GASES
 !
 !--             Read spc_name of current species for gas parameter
-
                 IF ( ANY( pspecnames(:) == spc_names(lsp) ) )  THEN
                    i_pspec = 0
@@ -4617,5 +4602,4 @@
 !--                  c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
 !--             Use density at k:
-
                 ppm2ugm3 =  (dens/xm_air) * 0.001_wp  ! (mole air)/m3
 !
@@ -4625,9 +4609,9 @@
 !
 !--             Diffusivity for DEPAC relevant gases
-!--             Use default value 
+!--             Use default value
                 diffusivity            = 0.11e-4
 !
-!--             overwrite with known coefficients of diffusivity from Massman (1998)
-                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4 
+!--             Overwrite with known coefficients of diffusivity from Massman (1998)
+                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4
                 IF ( spc_names(lsp) == 'NO'  ) diffusivity = 0.199e-4
                 IF ( spc_names(lsp) == 'O3'  ) diffusivity = 0.144e-4
@@ -4638,13 +4622,13 @@
 !
 !--             Get quasi-laminar boundary layer resistance rb:
-                CALL get_rb_cell( (lug_dep == ilu_water_sea) .OR. (lug_dep == ilu_water_inland),    &
-                     z0h_surf, ustar_surf, diffusivity, &
-                     rb )
+                CALL get_rb_cell( ( lug_dep == ilu_water_sea )  .OR.                               &
+                                  ( lug_dep == ilu_water_inland ), z0h_surf, ustar_surf,           &
+                                    diffusivity, rb )
 !
 !--             Get rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,           &
-                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, lug_dep, 2,      &
-                                         rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3, diffusivity,    &
-                                         r_aero_surf , rb )
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,    &
+                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, lug_dep,  &
+                                         2, rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3,       &
+                                         diffusivity, r_aero_surf , rb )
 !
 !--             Calculate budget
@@ -4655,8 +4639,8 @@
                 ELSE
 
-                   vd_lu = 1.0_wp / (r_aero_surf + rb + rc_tot )
-
-                   bud_lug(lsp) = - (conc_ijk(lsp) - ccomp_tot(lsp)) * &
-                        (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                   vd_lu = 1.0_wp / ( r_aero_surf + rb + rc_tot )
+
+                   bud_lug(lsp) = - ( conc_ijk(lsp) - ccomp_tot(lsp) ) *                           &
+                                  ( 1.0_wp - EXP( - vd_lu * dt_dh ) )  * dh
                 ENDIF
 
@@ -4682,22 +4666,21 @@
              rs = 0.0_wp
              rb = 0.0_wp
-             rc_tot = 0.0_wp 
+             rc_tot = 0.0_wp
              IF ( spc_names(lsp) == 'PM10' )  THEN
                 part_type = 1
 !
 !--             Sedimentation velocity
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc,              &
-                     lud_dep, r_aero_surf, ustar_surf )
-
-                bud_lud(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs, vs,                                         &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            lud_dep, r_aero_surf, ustar_surf )
+
+                bud_lud(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
 
              ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
@@ -4705,23 +4688,21 @@
 !
 !--             Sedimentation velocity
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     lud_dep, &
-                     r_aero_surf, ustar_surf )
-
-                bud_lud(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs, vs,                                         &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            lud_dep,                                               &
+                                            r_aero_surf, ustar_surf )
+
+                bud_lud(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
 
              ELSE  !< GASES
 !
 !--             Read spc_name of current species for gas PARAMETER
-
                 IF ( ANY( pspecnames(:) == spc_names(lsp) ) )  THEN
                    i_pspec = 0
@@ -4752,9 +4733,9 @@
 !
 !--             Diffusivity for DEPAC relevant gases
-!--             Use default value 
+!--             Use default value
                 diffusivity = 0.11e-4
 !
-!--             overwrite with known coefficients of diffusivity from Massman (1998)
-                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4 
+!--             Overwrite with known coefficients of diffusivity from Massman (1998)
+                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4
                 IF ( spc_names(lsp) == 'NO'  ) diffusivity = 0.199e-4
                 IF ( spc_names(lsp) == 'O3'  ) diffusivity = 0.144e-4
@@ -4765,14 +4746,15 @@
 !
 !--             Get quasi-laminar boundary layer resistance rb:
-                CALL get_rb_cell( (lud_dep == ilu_water_sea) .OR. (lud_dep == ilu_water_inland),   &
-                     z0h_surf, ustar_surf, diffusivity, rb )
+                CALL get_rb_cell( ( lud_dep == ilu_water_sea )  .OR.                               &
+                                  ( lud_dep == ilu_water_inland ), z0h_surf, ustar_surf,           &
+                                    diffusivity, rb )
 !
 !--             Get rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,         &
-                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, lud_dep, 2,    &
-                                         rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3, diffusivity,  &
-                                         r_aero_surf , rb )
-!
-!--             Calculate budget 
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,    &
+                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, lud_dep,  &
+                                         2, rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3,       &
+                                         diffusivity, r_aero_surf , rb )
+!
+!--             Calculate budget
                 IF ( rc_tot <= 0.0 )  THEN
 
@@ -4783,6 +4765,6 @@
                    vd_lu = 1.0_wp / (r_aero_surf + rb + rc_tot )
 
-                   bud_lud(lsp) = - (conc_ijk(lsp) - ccomp_tot(lsp)) * &
-                        (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                   bud_lud(lsp) = - ( conc_ijk(lsp) - ccomp_tot(lsp) ) *                           &
+                                  ( 1.0_wp - EXP( - vd_lu * dt_dh ) )  * dh
                 ENDIF
 
@@ -4798,7 +4780,7 @@
 
 
-          bud(lsp) = surf_usm_h%frac(m,ind_veg_wall) * bud_luu(lsp) + &
-               surf_usm_h%frac(m,ind_pav_green) * bud_lug(lsp) + &
-               surf_usm_h%frac(m,ind_wat_win) * bud_lud(lsp)
+          bud(lsp) = surf_usm_h%frac(m,ind_veg_wall)  * bud_luu(lsp) +                             &
+                     surf_usm_h%frac(m,ind_pav_green) * bud_lug(lsp) +                             &
+                     surf_usm_h%frac(m,ind_wat_win)   * bud_lud(lsp)
 !
 !--       Compute new concentration
@@ -4815,5 +4797,5 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
@@ -4821,36 +4803,35 @@
 !>
 !> DEPAC:
-!> Code of the DEPAC routine and corresponding subroutines below from the DEPAC
-!> module of the LOTOS-EUROS model (Manders et al., 2017)
+!> Code of the DEPAC routine and corresponding subroutines below from the DEPAC module of the
+!> LOTOS-EUROS model (Manders et al., 2017)
 !>
-!> Original DEPAC routines by RIVM and TNO (2015), for Documentation see
-!> van Zanten et al., 2010.
-!------------------------------------------------------------------------------!
- SUBROUTINE drydepos_gas_depac( compnam, day_of_year, lat, t, ust, solar_rad, sinphi,    &
-      rh, lai, sai, nwet, lu, iratns, rc_tot, ccomp_tot, p, conc_ijk_ugm3, diffusivity,  &
-      ra, rb )  
+!> Original DEPAC routines by RIVM and TNO (2015), for Documentation see van Zanten et al., 2010.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE drydepos_gas_depac( compnam, day_of_year, lat, t, ust, solar_rad, sinphi, rh, lai, sai,&
+                                nwet, lu, iratns, rc_tot, ccomp_tot, p, conc_ijk_ugm3, diffusivity,&
+                                ra, rb )
 !
 !--   Some of depac arguments are OPTIONAL:
 !--    A. compute Rc_tot without compensation points (ccomp_tot will be zero):
-!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi])
+!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot,&
+!--                    ccomp_tot, [smi])
 !--    B. compute Rc_tot with compensation points (used for LOTOS-EUROS):
-!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
-!--                c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water)
+!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot,&
+!--                    ccomp_tot, [smi], c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water)
 !--
 !--    C. compute effective Rc based on compensation points (used for OPS):
-!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
-!--               c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, &
-!--               ra, rb, rc_eff)
-!--    X1. Extra (OPTIONAL) output variables: 
-!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
-!--               c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, &
-!--               ra, rb, rc_eff, &
-!--               gw_out, gstom_out, gsoil_eff_out, cw_out, cstom_out, csoil_out, lai_out, sai_out)
-!--    X2. Extra (OPTIONAL) needed for stomatal ozone flux calculation (only sunlit leaves): 
-!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot, ccomp_tot, [smi], &
-!--               c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, &
-!--               ra, rb, rc_eff, &
-!--               gw_out, gstom_out, gsoil_eff_out, cw_out, cstom_out, csoil_out, lai_out, sai_out, &
-!--               calc_stom_o3flux, frac_sto_o3_lu, fac_surface_area_2_PLA)
+!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot,&
+!--                    ccomp_tot, [smi], c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, ra,  &
+!--                    rb, rc_eff)
+!--    X1. Extra (OPTIONAL) output variables:
+!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot,&
+!--                    ccomp_tot, [smi], c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, ra,  &
+!--                    rb, rc_eff, gw_out, gstom_out, gsoil_eff_out, cw_out, cstom_out, csoil_out,    &
+!--                    lai_out, sai_out)
+!--    X2. Extra (OPTIONAL) needed for stomatal ozone flux calculation (only sunlit leaves):
+!--        CALL depac (compnam, day_of_year, lat, t, ust, glrad, sinphi, rh, nwet, lu, iratns, rc_tot,&
+!--                    ccomp_tot, [smi], c_ave_prev_nh3, c_ave_prev_so2, catm, gamma_soil_water, ra,  &
+!--                    rb, rc_eff, gw_out, gstom_out, gsoil_eff_out, cw_out, cstom_out, csoil_out,    &
+!--                    lai_out, sai_out, calc_stom_o3flux, frac_sto_o3_lu, fac_surface_area_2_PLA)
 
 
@@ -4858,27 +4839,32 @@
                                                      !< 'HNO3','NO','NO2','O3','SO2','NH3'
     INTEGER(iwp), INTENT(IN) ::  day_of_year         !< day of year, 1 ... 365 (366)
-    INTEGER(iwp), INTENT(IN) ::  nwet                !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
-    INTEGER(iwp), INTENT(IN) ::  lu                  !< land use type, lu = 1,...,nlu
     INTEGER(iwp), INTENT(IN) ::  iratns              !< index for NH3/SO2 ratio used for SO2:
                                                      !< iratns = 1: low NH3/SO2
                                                      !< iratns = 2: high NH3/SO2
                                                      !< iratns = 3: very low NH3/SO2
-    REAL(wp), INTENT(IN) ::  lat                     !< latitude Northern hemisphere (degrees) (S. hemisphere not possible)
+    INTEGER(iwp), INTENT(IN) ::  lu                  !< land use type, lu = 1,...,nlu
+    INTEGER(iwp), INTENT(IN) ::  nwet                !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
+
+    REAL(wp), INTENT(IN) ::  conc_ijk_ugm3           !< actual atmospheric concentration (ug/m3), in
+                                                     !< DEPAC=Catm
+    REAL(wp), INTENT(IN) ::  diffusivity             !< diffusivity
+    REAL(wp), INTENT(IN) ::  lai                     !< one-sidedleaf area index (-)
+    REAL(wp), INTENT(IN) ::  lat                     !< latitude Northern hemisphere (degrees) (S.
+                                                     !< hemisphere not possible)
+    REAL(wp), INTENT(IN) ::  p                       !< pressure (Pa)
+    REAL(wp), INTENT(IN) ::  ra                      !< aerodynamic resistance (s/m)
+    REAL(wp), INTENT(IN) ::  rb                      !< boundary layer resistance (s/m)
+    REAL(wp), INTENT(IN) ::  rh                      !< relative humidity (%)
+    REAL(wp), INTENT(IN) ::  sai                     !< surface area index (-) (lai + branches and
+                                                     !< stems)
+    REAL(wp), INTENT(IN) ::  sinphi                  !< sin of solar elevation angle
+    REAL(wp), INTENT(IN) ::  solar_rad               !< solar radiation, dirict+diffuse (W/m2)
     REAL(wp), INTENT(IN) ::  t                       !< temperature (C)
     REAL(wp), INTENT(IN) ::  ust                     !< friction velocity (m/s)
-    REAL(wp), INTENT(IN) ::  solar_rad               !< solar radiation, dirict+diffuse (W/m2)
-    REAL(wp), INTENT(IN) ::  sinphi                  !< sin of solar elevation angle
-    REAL(wp), INTENT(IN) ::  rh                      !< relative humidity (%)
-    REAL(wp), INTENT(IN) ::  lai                     !< one-sidedleaf area index (-)
-    REAL(wp), INTENT(IN) ::  sai                     !< surface area index (-) (lai + branches and stems)
-    REAL(wp), INTENT(IN) ::  diffusivity             !< diffusivity
-    REAL(wp), INTENT(IN) ::  p                       !< pressure (Pa)
-    REAL(wp), INTENT(IN) ::  conc_ijk_ugm3           !< actual atmospheric concentration (ug/m3), in DEPAC=Catm
-    REAL(wp), INTENT(IN) ::  ra                      !< aerodynamic resistance (s/m)
-    REAL(wp), INTENT(IN) ::  rb                      !< boundary layer resistance (s/m)
-
+
+    REAL(wp), INTENT(OUT) ::  ccomp_tot              !< total compensation point (ug/m3)
+!                                                    !< [= 0 for species that don't have a compensation
     REAL(wp), INTENT(OUT) ::  rc_tot                 !< total canopy resistance Rc (s/m)
-    REAL(wp), INTENT(OUT) ::  ccomp_tot              !< total compensation point (ug/m3)
-!                                                     !< [= 0 for species that don't have a compensation
+
 !-- Local variables:
 !
